Bug 841349 (CVE-2012-0540) - CVE-2012-0540 mysql: unspecified vulnerability related to GIS extension DoS (CPU Jul 2012)
Summary: CVE-2012-0540 mysql: unspecified vulnerability related to GIS extension DoS ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 871813 871814 1035874
Blocks: mysql-cpu-2012-07 833743
TreeView+ depends on / blocked
 
Reported: 2012-07-18 18:31 UTC by Vincent Danen
Modified: 2019-09-29 12:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-21 15:17:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1462 normal SHIPPED_LIVE Important: mysql security update 2012-11-15 01:51:48 UTC

Description Vincent Danen 2012-07-18 18:31:00 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-0540 to
the following vulnerability:

Name: CVE-2012-0540
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0540
Assigned: 20120111
Reference: http://www.oracle.com/technetwork/topics/security/cpujul2012-392727.html

Unspecified vulnerability in Oracle MySQL Server 5.1.62 and earlier
and 5.5.23 and earlier allows remote authenticated users to affect
availability, related to GIS Extension.

Comment 2 Tomas Hoger 2012-07-25 08:15:29 UTC
Reviewing change between 5.1.62 and 5.1.63, there were at least two different GIS related fixes made.  These issues allow authenticated user with SQL access to crash mysqld, which gets automatically restarted.

http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.7
BUG#12414917 - ISCLOSED() CRASHES ON 64-BIT BUILDS

This issue affects mysql 5.0.95 in Red Hat Enterprise Linux 5 and mysql 5.1.61 in Red Hat Enterprise Linux 6.

http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.8
http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.9
BUG#12537203 - CRASH WHEN SUBSELECTING GLOBAL VARIABLES IN GEOMETRY FUNCTION ARGUMENTS

This issue affects mysql 5.1.61 in Red Hat Enterprise Linux 6.  Reproducer does not trigger a crash on mysql 5.0.95 in Red Hat Enterprise Linux 5, but the patch is applicable.

Both fixes were also applied to 5.5 version in between 5.5.23 and 5.5.24.

We're unlike to get confirmation from upstream whether this CVE was assigned to the above two issues and only the above two issues.

Comment 5 errata-xmlrpc 2012-11-14 20:53:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html


Note You need to log in before you can comment on or make changes to this bug.